Docs Kling /kling/v1/videos/multi-elements/delete-selection
API reference

Delete video selection

POST/kling/v1/videos/multi-elements/delete-selection

Body Parametersapplication/json

frame_index* integer

frame index; up to 10 marked frames; one mark per request

points* array

click coordinates as x,y range: [0,1], as percentages; [0,1]is the top-left of the frame multiple points allowed; max 10 per frame

items
object object
session_id* string

session ID from video init; unchanged by selection edits

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"frame_index": 1,
3"points": [
4{
5"x": 1,
6"y": 0
7}
8],
9"session_id": "828033558945619987"
10}
Code Sample cURL
1curl -X POST "https://api.digislash.com/kling/v1/videos/multi-elements/delete-selection" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"frame_index": 1,
6"points": [
7{
8"x": 1,
9"y": 0
10}
11],
12"session_id": "828033558945619987"
13}'
Response
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}